Subject: Re: [PATCH 1/4] builtin/repack.c: pass "out" to `prepare_pack_objects`

From: Derrick Stolee <[email-masked]>
Date: Mon, 7 Nov 2022 14:28:06 -0500

On 10/24/22 4:47 PM, Junio C Hamano wrote:
> Taylor Blau <[email-masked]> writes:
> 
>> `builtin/repack.c`'s `prepare_pack_objects()` is used to prepare a set
>> of arguments to a `pack-objects` process which will generate a desired
>> pack.
>>
>> A future patch will add an `--expire-to` option which allows `git
>> repack` to write a cruft pack containing the pruned objects out to a
>> separate repository. Prepare for this by teaching that function to write
>> packs to an arbitrary location specified by the caller.
>>
>> All existing callers of `prepare_pack_objects()` will pass `packtmp` for
>> `out`, retaining the existing behavior.
> 
> It does make sense to allow the caller to specify the name of the
> temporary file to be used, but is "out" a good name for that?  The
> other two arguments are self explanatory both by their type and the
> name, but this is of type "const char *" that does not convey what
> the string is about at all, so giging a good name to the parameter
> is more important than for others.
> 
> The patch text itself is very straight-forward.  Thanks.

I agree that the patch is nice and simple.

As for a name, this parameter specifies a file prefix.
Perhaps 'pack_prefix' would be a good name for this?

Thanks,
-Stolee